Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlDTDHandler

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QXmlDTDHandler

All Implemented Interfaces:
  QtJambiInterface, QXmlDTDHandlerInterface

    public abstract class QXmlDTDHandler

extends QtJambiObject
implements QXmlDTDHandlerInterface

The `QXmlDTDHandler` class provides an interface to report DTD content of XML data.

If an application needs information about notations and unparsed entities, it can implement this interface and register an instance with QXmlReader::setDTDHandler().

Note that this interface includes only those DTD events that the XML recommendation requires processors to report, i.e. notation and unparsed entity declarations using `notationDecl` and `unparsedEntityDecl` respectively.

See Also:
  `QXmlDeclHandler`, `QXmlContentHandler`, `QXmlEntityResolver`, `QXmlErrorHandler`, `QXmlLexicalHandler`, `to SAX2`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QXmlDTDHandler()` Creates a new QXmlDTDHandler.

Method Summary
`abstract java.lang.String` | `errorString()` The reader calls this function to get an error string if any of the handler functions returns false.
`static QXmlDTDHandler` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QXmlDTDHandler instance pointed to by nativePointer
`abstract boolean` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` The reader calls this function when it has parsed a notation declaration.
`abstract boolean` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)` The reader calls this function when it finds an unparsed entity declaration.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlDTDHandler

    public QXmlDTDHandler()

  Creates a new QXmlDTDHandler.

Method Detail

### errorString

    public abstract java.lang.String errorString()

  The reader calls this function to get an error string if any of the handler functions returns false.

  Specified by:
    `errorString` in interface `QXmlDTDHandlerInterface`

### notationDecl

    public abstract boolean notationDecl(java.lang.String name,
                                         java.lang.String publicId,
                                         java.lang.String systemId)

  The reader calls this function when it has parsed a notation declaration.

  The argument `name` is the notation name, `publicId` is the notation's public identifier and `systemId` is the notation's system identifier.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

  Specified by:
    `notationDecl` in interface `QXmlDTDHandlerInterface`

### unparsedEntityDecl

    public abstract boolean unparsedEntityDecl(java.lang.String name,
                                               java.lang.String publicId,
                                               java.lang.String systemId,
                                               java.lang.String notationName)

  The reader calls this function when it finds an unparsed entity declaration.

  The argument `name` is the unparsed entity's name, `publicId` is the entity's public identifier, `systemId` is the entity's system identifier and `notationName` is the name of the associated notation.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

  Specified by:
    `unparsedEntityDecl` in interface `QXmlDTDHandlerInterface`

### fromNativePointer

    public static QXmlDTDHandler fromNativePointer(QNativePointer nativePointer)

  This function returns the QXmlDTDHandler instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD